Issue 32026

Summary: WordML export: pageborderstyles not correctly exported
Product: Writer Reporter: jack.warchold
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues
Version: 680m56   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
bugdoc
none
modified test file and output none

Description jack.warchold 2004-07-23 16:25:12 UTC
some pageborderstyles are not correctly exported to WordML
Comment 1 jack.warchold 2004-07-23 16:25:47 UTC
Created attachment 16728 [details]
bugdoc
Comment 2 glu 2004-08-16 08:55:37 UTC
The test file isn't in different page master styles, but in the same one. so
can't output correct wordml file.
Just modified it and then works well.
Comment 3 glu 2004-08-16 08:57:06 UTC
Created attachment 17151 [details]
modified test file and output
Comment 4 jack.warchold 2004-11-05 20:19:54 UTC
please tell me why this should not work? if i export this sxw filte to .doc the
pages are simular to the view in the sxw filte with the pageborders and the page
style, so why should this not be also possible as wordml.
reopend.
Comment 5 glu 2004-11-08 04:13:43 UTC
In the exported testing OOo/OASIS file, continuously different page styles are
applied by attribute @style:next-style-name of element <style:master-page>,
which means that if the current page is fullfilled, then the next page will
apply the assigned next page style. But actually in XSLT it's impossible to
calculate out where the automatic page break by created OOo if no manual page
break is assigned to certain paragraph. Because even XSLT script knows the size
of page, it doesn't know how long, how many pages every paragraph could occupy,
or even add them together.
So currently I just make attribute @style:next-style-name of element
<style:master-page> valid only if page break is assigned somewhere.
Comment 6 glu 2004-11-08 04:16:12 UTC
amending: in wordml, page information is saved in <sectPr> among the content
flow. It doesn't difine page styles at all, so as attribute of next page style.
Comment 7 jack.warchold 2004-11-08 12:17:42 UTC
first: the pageborders are not drawn in in wordml export nor in wordml import, this is 
the orin bug of this issue. i think this could ans should be fixed. 
second: for the pagestyle issue i will write a new bug.
i do not accept this as wontfix. i talked to oliver Cramer, the QA representativ of 
this cws, and he agrees on this.in the new  i will attach a file created in Word 2003.
the import of this files does exactly what i expected with the pagestyles only the 
page borders are not shown in OOo. so if this is possible in Word it should be 
possible in OOo to, as we are trying to get the greatest compatibility to ms-
products as possible.
Comment 8 jack.warchold 2004-11-08 12:48:25 UTC
ps: if you can not fix this issue till wednesday please take this issue out of
this cws
Comment 9 glu 2004-11-08 12:52:45 UTC
From my point, I don't think it could be fixed recently. So just postpone it.
Comment 10 glu 2004-11-09 02:11:50 UTC
postpone it.
Comment 11 glu 2004-11-09 08:44:48 UTC
reopen it.
Comment 12 glu 2004-12-06 01:09:40 UTC
move to later.
Comment 13 glu 2005-03-23 02:25:49 UTC
glu->flr: For transfering work, please take it over.
Comment 14 sungthropocus 2010-11-11 03:16:08 UTC
Created attachment 74104
Comment 15 Rob Weir 2013-07-30 02:47:12 UTC
Reset assignee on issues not touched by assignee in more than 1000 days.